# Class ChatApp

java.lang.Object
ChatApp

    public class ChatApp
    extends java.lang.Object

Classe récapitulant toutes les actions possibles pour un utilisateur

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatApp​(java.lang.String pseudo, java.lang.Integer port)` | Constructeur de l'application de chat

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `connexion()` | Methode appelée lors de la connexion d'un nouvel utilisateur.
`void` | `deconnexion()` | Methode appelée lors de la déconnexion de l'utilisateur.
`ListUtilisateurs` | `getActifUsers()` |
`Historique` | `getHist​(java.lang.String pseudo)` |
`static java.util.ArrayList<java.lang.Integer>` | `getListPort()` |
`java.util.Map<java.lang.String,​Historique>` | `getMapHistorique()` |
`Utilisateur` | `getMe()` |
`static void` | `main​(java.lang.String[] args)` |
`void` | `majHistorique​(java.lang.String pseudo, Historique h)` |
`void` | `modifierPseudo​(java.lang.String nouveau)` | Modification du pseudo de l'utilisateur Envoie en broadcast son ancien pseudo et son nouveau

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChatApp

public ChatApp​(java.lang.String pseudo, java.lang.Integer port)
Constructeur de l'application de chat

Parameters:
  `pseudo` - Pseudo de l'utilisateur
  `port` - Port de communication

## Method Details

### getListPort

public static java.util.ArrayList<java.lang.Integer> getListPort()

### majHistorique

public void majHistorique​(java.lang.String pseudo, Historique h)

### modifierPseudo

public void modifierPseudo​(java.lang.String nouveau) throws java.io.IOException
Modification du pseudo de l'utilisateur Envoie en broadcast son ancien pseudo et son nouveau

Parameters:
  `nouveau` - correspond au nouveau pseudo
Throws:
  `java.io.IOException`

### connexion

public void connexion() throws java.io.IOException
Methode appelée lors de la connexion d'un nouvel utilisateur. Il va prévenir les utilisateurs du réseau de son arrivée.

Throws:
  `java.io.IOException`

### deconnexion

public void deconnexion() throws java.io.IOException
Methode appelée lors de la déconnexion de l'utilisateur. Il va prévenir les utilisateurs du réseau de son départ.

Throws:
  `java.io.IOException`

### main

public static void main​(java.lang.String[] args) throws java.io.IOException

Throws:
  `java.io.IOException`

### getMe

public Utilisateur getMe()

### getActifUsers

public ListUtilisateurs getActifUsers()

### getMapHistorique

public java.util.Map<java.lang.String,​Historique> getMapHistorique()

### getHist

public Historique getHist​(java.lang.String pseudo)